> For the complete documentation index, see [llms.txt](https://docs.360dialog.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.360dialog.com/docs/mba/api-ref/operate/run-an-agent-test.md).

# Run an agent test

Send a test message to the AI agent and receive a response. Messages are processed through the full agent pipeline without requiring a consumer phone number.

```json
{"openapi":"3.1.0","info":{"title":"Business Agent API","version":"1.49.1"},"tags":[{"name":"Operate","description":"Endpoints for evaluating and operating the agent (eval jobs, events, and tests)"}],"servers":[{"description":"Production server","url":"https://waba-v2.360dialog.io"}],"security":[{"D360-API-KEY":[]}],"components":{"securitySchemes":{"D360-API-KEY":{"description":"API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.","in":"header","name":"D360-API-KEY","type":"apiKey"}},"schemas":{"operate.BizAIOmniChannelAgentTestRequest":{"description":"Send a test message to the AI agent","properties":{"conversation_id":{"type":"string"},"user_msg":{"type":"string"}},"required":["user_msg"],"type":"object"},"operate.BizAIOmniChannelAgentTestResponse":{"description":"The AI agent response and test conversation metadata","properties":{"agent_response":{"type":"string"},"conversation_id":{"type":"string"},"handoff_reason":{"type":"string"},"message_id":{"type":"string"},"no_response_reason":{"type":"string"},"product_variant_ids":{"items":{"type":"string"},"type":"array","uniqueItems":false},"quick_replies":{"items":{"type":"string"},"type":"array","uniqueItems":false},"timestamp":{"type":"integer"}},"required":["agent_response","conversation_id","message_id"],"type":"object"},"operate.StandardError":{"description":"Standard error response for Meta Business Agent endpoints","properties":{"detail":{"type":"string"},"status":{"type":"integer"},"title":{"type":"string"},"type":{"type":"string"}},"type":"object"}}},"paths":{"/agent_test":{"post":{"description":"Send a test message to the AI agent and receive a response. Messages are processed through the full agent pipeline without requiring a consumer phone number.","operationId":"post-agent-test","parameters":[{"description":"Meta Business Agent API version","in":"header","name":"X-API-Version","schema":{"enum":["2.0.0"],"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/operate.BizAIOmniChannelAgentTestRequest","summary":"requestBody","description":"Test message to send"}}},"description":"Test message to send","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/operate.BizAIOmniChannelAgentTestResponse"}}},"description":"Response containing the AI agent response and test conversation metadata"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/operate.StandardError"}}},"description":"Bad request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/operate.StandardError"}}},"description":"Unauthorized"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/operate.StandardError"}}},"description":"Too many requests"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/operate.StandardError"}}},"description":"Server error"}},"summary":"Run an agent test","tags":["Operate"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.360dialog.com/docs/mba/api-ref/operate/run-an-agent-test.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
